<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.parameters="http://www.eclipse.org/papyrus/robotics/parameters/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/parameters/1 http://www.eclipse.org/papyrus/robotics/1#//parameters">
  <uml:Model xmi:id="_9BZ1sEvVEeiD6o8-tlgjlw" name="RobotInterfaceCompdef">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_9orREEvVEeiD6o8-tlgjlw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_J2RB0PQAEemjmZqBFQuTNw">
      <importedPackage xmi:type="uml:Model" href="../services/basic.servicedef.uml#_9BZ1sEvVEeiD6o8-tlgjlw"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="_GbVzILXaEei9IvTQNFccfw" name="RobotInterface">
      <ownedAttribute xmi:type="uml:Port" xmi:id="_HjpfALXaEei9IvTQNFccfw" name="CommandActuatorTorques" type="_HjvloLXaEei9IvTQNFccfw" aggregation="composite">
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_kdq5MPdsEemIzIm1KvK29w"/>
        <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_lTcqoPdsEemIzIm1KvK29w" value="*"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_UNvzELXaEei9IvTQNFccfw" name="MeasuredJointState" type="_UN15sLXaEei9IvTQNFccfw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_ZPW2ULXbEei9IvTQNFccfw" name="ComputeIK" type="_ZPbu0LXbEei9IvTQNFccfw" aggregation="composite"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_5l_mcLXbEei9IvTQNFccfw" name="Parameter4">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_6nbOQLXbEei9IvTQNFccfw" name="pathToRobotModelDescription">
          <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        </ownedAttribute>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_ZPbu0LXbEei9IvTQNFccfw" name="CSforComponentDefinition162">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_KG3poPQAEemjmZqBFQuTNw" client="_ZPbu0LXbEei9IvTQNFccfw">
          <supplier xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_bAhL4K-OEei3oP7IwGfT7w"/>
          <contract xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_bAhL4K-OEei3oP7IwGfT7w"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_HjvloLXaEei9IvTQNFccfw" name="CSforComponentDefinition16">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_MNW1APQAEemjmZqBFQuTNw" client="_HjvloLXaEei9IvTQNFccfw">
          <supplier xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_jWcfQLXUEeiH6Ko6HOOVWw"/>
          <contract xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_jWcfQLXUEeiH6Ko6HOOVWw"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_UN15sLXaEei9IvTQNFccfw" name="CSforComponentDefinition161">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_QnVtAPQAEemjmZqBFQuTNw" client="_UN15sLXaEei9IvTQNFccfw">
          <supplier xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_1CnPALBCEei3oP7IwGfT7w"/>
          <contract xmi:type="uml:Interface" href="../services/basic.servicedef.uml#_1CnPALBCEei3oP7IwGfT7w"/>
        </interfaceRealization>
      </nestedClassifier>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9KoqMEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9Kp4UEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lSl4EvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lTM8EvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lT0AEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lUbEEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lUbEUvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lVCIEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lVpMEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lVpMUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lWQQEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lWQQUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lW3UEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lW3UUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lW3UkvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lXeYEvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lXeYUvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lXeYkvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_9lYFcEvVEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_9lYFcUvVEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_FGXKoEvWEeiD6o8-tlgjlw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_FGZm4EvWEeiD6o8-tlgjlw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_kFbggEv6Eei_HNVi8DieOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_kFo74Ev6Eei_HNVi8DieOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:ComponentDefinitionModel xmi:id="_eXEeYLXYEei9IvTQNFccfw" base_Package="_9BZ1sEvVEeiD6o8-tlgjlw"/>
  <robotics.components:ComponentDefinition xmi:id="_GbZdgLXaEei9IvTQNFccfw" base_Class="_GbVzILXaEei9IvTQNFccfw"/>
  <robotics.components:ComponentService xmi:id="_HjyB4LXaEei9IvTQNFccfw" base_Class="_HjvloLXaEei9IvTQNFccfw"/>
  <robotics.components:ComponentPort xmi:id="_HkE80LXaEei9IvTQNFccfw" base_Port="_HjpfALXaEei9IvTQNFccfw"/>
  <robotics.components:ComponentService xmi:id="_UN6LILXaEei9IvTQNFccfw" base_Class="_UN15sLXaEei9IvTQNFccfw"/>
  <robotics.components:ComponentPort xmi:id="_UONtILXaEei9IvTQNFccfw" base_Port="_UNvzELXaEei9IvTQNFccfw"/>
  <robotics.components:ComponentService xmi:id="_ZPgAQLXbEei9IvTQNFccfw" base_Class="_ZPbu0LXbEei9IvTQNFccfw"/>
  <robotics.components:ComponentPort xmi:id="_ZP0JULXbEei9IvTQNFccfw" base_Port="_ZPW2ULXbEei9IvTQNFccfw"/>
  <robotics.parameters:Parameter xmi:id="_5mCpwLXbEei9IvTQNFccfw" base_Class="_5l_mcLXbEei9IvTQNFccfw"/>
  <robotics.parameters:ParameterEntry xmi:id="_6neRkLXbEei9IvTQNFccfw" base_Property="_6nbOQLXbEei9IvTQNFccfw"/>
</xmi:XMI>
